org.apache.xmlbeans.impl.xb.xmlschema

## Interface SpaceAttribute.Space

- All Superinterfaces:
    XmlAnySimpleType, XmlName, XmlNCName, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource
  All Known Implementing Classes:
    SpaceAttributeImpl.SpaceImpl
  Enclosing interface:
    SpaceAttribute

      public static interface SpaceAttribute.Space
      extends XmlNCName

  An XML space(@http://www.w3.org/XML/1998/namespace). This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xmlschema.SpaceAttribute$Space.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SpaceAttribute.Space.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xmlschema.SpaceAttribute$Space.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SpaceAttribute.Space.Enum` | `DEFAULT`
    `static ElementFactory<SpaceAttribute.Space>` | `Factory`
    `static int` | `INT_DEFAULT`
    `static int` | `INT_PRESERVE`
    `static SpaceAttribute.Space.Enum` | `PRESERVE`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringEnumAbstractBase` | `getEnumValue()`
    `void` | `setEnumValue(StringEnumAbstractBase e)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<SpaceAttribute.Space> Factory

    - #### type

          static final SchemaType type

    - #### DEFAULT

          static final SpaceAttribute.Space.Enum DEFAULT

    - #### PRESERVE

          static final SpaceAttribute.Space.Enum PRESERVE

    - #### INT_DEFAULT

          static final int INT_DEFAULT

      See Also:
        Constant Field Values

    - #### INT_PRESERVE

          static final int INT_PRESERVE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEnumValue

          StringEnumAbstractBase getEnumValue()

    - #### setEnumValue

          void setEnumValue(StringEnumAbstractBase e)